Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.io.conduits
Enum Conduit.InjectorType

    java.lang.Object
      java.lang.Enum<Conduit.InjectorType>
          things.thinger.io.conduits.Conduit.InjectorType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Conduit.InjectorType>

Enclosing interface:
  Conduit

    public static enum Conduit.InjectorType

extends java.lang.Enum<Conduit.InjectorType>

The InjectorType specifies how it will behave, as follows:
UNSPECIFIED: No preference. It will likely broadcast.
BROADCAST: Do not block. Return a receipt for collection.
REQUIRE_FIRST_DRAIN: Block until the first drain is complete. Return a receipt for delivery.
REQUIRE_ALL_DRAIN: Block until all drains are complete. Return a receipt for delivery.

Enum Constant Summary
`BROADCAST`
`REQUIRE_ALL_DRAIN`
`REQUIRE_FIRST_DRAIN`
`UNSPECIFIED`

Method Summary
`static Conduit.InjectorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conduit.InjectorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPECIFIED

    public static final Conduit.InjectorType UNSPECIFIED

### BROADCAST

    public static final Conduit.InjectorType BROADCAST

### REQUIRE_FIRST_DRAIN

    public static final Conduit.InjectorType REQUIRE_FIRST_DRAIN

### REQUIRE_ALL_DRAIN

    public static final Conduit.InjectorType REQUIRE_ALL_DRAIN

Method Detail

### values

    public static Conduit.InjectorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conduit.InjectorType c : Conduit.InjectorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conduit.InjectorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.